Package org.fife.ui.rsyntaxtextarea.parser

## Class AbstractParser

- java.lang.Object
- - org.fife.ui.rsyntaxtextarea.parser.AbstractParser

- All Implemented Interfaces:
    `Parser`
  Direct Known Subclasses:
    `TaskTagParser`, `XmlParser`

      public abstract class AbstractParser
      extends Object
      implements Parser

  A base class for `Parser` implementations. Most `Parser`s should be able to extend this class.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractParser()` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExtendedHyperlinkListener` | `getHyperlinkListener()` | Returns the listener for hyperlink events from `FocusableTip`s, or `null` if none.
    `URL` | `getImageBase()` | Returns `null`.
    `boolean` | `isEnabled()` | Returns whether this parser is enabled.
    `void` | `setEnabled​(boolean enabled)` | Toggles whether this parser is enabled.
    `void` | `setHyperlinkListener​(ExtendedHyperlinkListener listener)` | Returns the listener for this parser.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.fife.ui.rsyntaxtextarea.parser.Parser

      `parse`

- - ### Constructor Detail

    - #### AbstractParser

          protected AbstractParser()

      Constructor.

  - ### Method Detail

    - #### getHyperlinkListener

          public ExtendedHyperlinkListener getHyperlinkListener()

      Returns the listener for hyperlink events from `FocusableTip`s, or `null` if none.
      Specified by:
        `getHyperlinkListener` in interface `Parser`
      Returns:
        The listener.

    - #### getImageBase

          public URL getImageBase()

      Returns `null`. Parsers that wish to show images in their tool tips should override this method to return the image base URL.
      Specified by:
        `getImageBase` in interface `Parser`
      Returns:
        `null` always.

    - #### isEnabled

          public boolean isEnabled()

      Returns whether this parser is enabled. If this returns `false`, it will not be run.
      Specified by:
        `isEnabled` in interface `Parser`
      Returns:
        Whether this parser is enabled.

    - #### setEnabled

          public void setEnabled​(boolean enabled)

      Toggles whether this parser is enabled.
      Parameters:
        `enabled` - Whether this parser is enabled.
      See Also:
        `isEnabled()`

    - #### setHyperlinkListener

          public void setHyperlinkListener​(ExtendedHyperlinkListener listener)

      Returns the listener for this parser.
      Parameters:
        `listener` - The new listener.
      See Also:
        `getHyperlinkListener()`